summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2022-01-24 21:21:45 -0700
committerSean Whitton <spwhitton@spwhitton.name>2022-01-24 21:21:58 -0700
commit99ea689a404d3c7960dc5554947534d2eefedef2 (patch)
tree74547dc049801ba5f7348bd06f30394d2de7313a /bin
parente6061691afc563e255ec230229927f804fbe5e33 (diff)
downloaddotfiles-99ea689a404d3c7960dc5554947534d2eefedef2.tar.gz
add update-emacs-snapshot script
Diffstat (limited to 'bin')
-rwxr-xr-xbin/update-emacs-snapshot14
1 files changed, 14 insertions, 0 deletions
diff --git a/bin/update-emacs-snapshot b/bin/update-emacs-snapshot
new file mode 100755
index 00000000..a1f6c7a8
--- /dev/null
+++ b/bin/update-emacs-snapshot
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# assumes I've already tested the upstream snapshot via 'melete' branch
+
+set -e
+
+[ -d ~/tmp/demeter-emacs ] \
+ || git -C ~/src/emacs worktree add ~/tmp/demeter-emacs athena/unstable
+cd ~/tmp/demeter-emacs
+
+debian/merge-snapshot
+rebuild-for-athena unstable
+
+git -C ~/src/emacs worktree remove ~/tmp/demeter-emacs